Bug 953729 (CVE-2013-1862) - CVE-2013-1862 httpd: mod_rewrite allows terminal escape sequences to be written to the log file
Summary: CVE-2013-1862 httpd: mod_rewrite allows terminal escape sequences to be writt...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-1862
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 918860 918862 918863 918864 978084 978085 1014387
Blocks: 915888 980700 987712
TreeView+ depends on / blocked
 
Reported: 2013-04-19 04:26 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-09-29 13:03 UTC (History)
16 users (show)

Fixed In Version: httpd 2.0.65, httpd 2.2.25
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-04 19:20:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0815 normal SHIPPED_LIVE Moderate: httpd security update 2013-05-13 22:04:06 UTC
Red Hat Product Errata RHSA-2013:1133 normal SHIPPED_LIVE Moderate: httpd security update 2013-08-05 19:30:14 UTC
Red Hat Product Errata RHSA-2013:1134 normal SHIPPED_LIVE Moderate: httpd security update 2013-08-05 19:40:26 UTC
Red Hat Product Errata RHSA-2013:1207 normal SHIPPED_LIVE Moderate: Red Hat JBoss Enterprise Application Platform 6.1.1 update 2013-09-04 22:51:19 UTC
Red Hat Product Errata RHSA-2013:1208 normal SHIPPED_LIVE Moderate: Red Hat JBoss Enterprise Application Platform 6.1.1 update 2013-09-04 22:50:25 UTC
Red Hat Product Errata RHSA-2013:1209 normal SHIPPED_LIVE Moderate: Red Hat JBoss Enterprise Application Platform 6.1.1 update 2013-09-04 22:50:19 UTC

Description Huzaifa S. Sidhpurwala 2013-04-19 04:26:30 UTC
It was found that mod_rewrite writes data to a log file without sanitizing non-printable characters. A remote attacker could use this flaw to write terminal escape sequences to log files (if the RewriteLog directive was used by mod_rewrite). This could possibly cause arbitrary command execution, via HTTP requests containing an escape sequence for a terminal emulator. (if for example the log files were viewed in a terminal emulator)

Reference:
http://svn.apache.org/viewvc?view=revision&revision=r1469311

Proposed patch:
http://people.apache.org/~jorton/mod_rewrite-CVE-2013-1862.patch

Comment 1 errata-xmlrpc 2013-05-13 18:05:29 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2013:0815 https://rhn.redhat.com/errata/RHSA-2013-0815.html

Comment 6 errata-xmlrpc 2013-08-05 15:31:23 UTC
This issue has been addressed in following products:

  JBEWS 2 for RHEL 5
  JBEWS 2 for RHEL 6

Via RHSA-2013:1133 https://rhn.redhat.com/errata/RHSA-2013-1133.html

Comment 7 errata-xmlrpc 2013-08-05 15:41:34 UTC
This issue has been addressed in following products:

  JBEWS 2 for RHEL 5
  JBEWS 2 for RHEL 6
  JBEWS 2 for Solaris
  JBEWS 2 for Microsoft Windows

Via RHSA-2013:1134 https://rhn.redhat.com/errata/RHSA-2013-1134.html

Comment 8 errata-xmlrpc 2013-09-04 18:55:33 UTC
This issue has been addressed in following products:

  Red Hat JBoss Enterprise Application Platform 6.1.1

Via RHSA-2013:1209 https://rhn.redhat.com/errata/RHSA-2013-1209.html

Comment 9 errata-xmlrpc 2013-09-04 18:58:06 UTC
This issue has been addressed in following products:

  JBEAP 6 for RHEL 6

Via RHSA-2013:1208 https://rhn.redhat.com/errata/RHSA-2013-1208.html

Comment 10 errata-xmlrpc 2013-09-04 19:02:45 UTC
This issue has been addressed in following products:

  JBEAP 6 for RHEL 5

Via RHSA-2013:1207 https://rhn.redhat.com/errata/RHSA-2013-1207.html


Note You need to log in before you can comment on or make changes to this bug.